org.firebirdsql.jdbc.metadata

## Class GetPrimaryKeys

- java.lang.Object
- - org.firebirdsql.jdbc.metadata.GetPrimaryKeys

    public final class GetPrimaryKeys
    extends java.lang.Object

Provides the implementation for `DatabaseMetaData.getPrimaryKeys(String, String, String)`.

Since:
  5
Author:
  Mark Rotteveel

### Field Summary

Fields
`protected DbMetadataMediator` `mediator`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static GetPrimaryKeys` `create(DbMetadataMediator mediator)`
`java.sql.ResultSet` `getPrimaryKeys(java.lang.String table)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mediator

    protected final DbMetadataMediator mediator

### Method Detail

#### getPrimaryKeys

    public java.sql.ResultSet getPrimaryKeys(java.lang.String table)
                                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### create

    public static GetPrimaryKeys create(DbMetadataMediator mediator)